class UtcDateConverter {
  //获取当天的开始时间或结束时间
  static DateTime? getDayStartOrEndUTCTime(DateTime? date,
      {bool isEnd = false}) {
    if (date == null) {
      return null;
    }
    // 将小时、分钟和秒设置为 0 或 23、59 和 59
    final hour = isEnd ? 23 : 0;
    final minute = isEnd ? 59 : 0;
    final second = isEnd ? 59 : 0;

    // 使用传入的日期和设置的时间创建一个新的 DateTime 对象
    return DateTime(date.year, date.month, date.day, hour, minute, second)
        .toUtc();
  }
}
